
attribute vec2 pos;
attribute vec2 base_uv;
attribute float scanline_y;
varying float scanline_out;
varying mediump vec2 texcoord;
uniform mediump float width, height;

void main()
{
	gl_Position = vec4(pos, 0.75, 1.0);
	texcoord = base_uv * vec2(width, -height) + vec2(width, height);
	scanline_out = scanline_y;
}
